// file      : post.hxx
// copyright : not copyrighted - public domain

#ifndef POST_HXX
#define POST_HXX

#include <string>

#include <boost/date_time/posix_time/posix_time.hpp>

#include <odb/core.hxx>

#pragma db object
class post
{
public:
  #pragma db id
  unsigned long id;

  std::string text;

  boost::posix_time::ptime creation_date;
  boost::posix_time::ptime last_change_date;

  unsigned int counter1;
  unsigned int counter2;
  unsigned int counter3;
  unsigned int counter4;
  unsigned int counter5;
  unsigned int counter6;
  unsigned int counter7;
  unsigned int counter8;
  unsigned int counter9;
};

#endif // POST_HXX
